## FsRtpConference FsRtpConference — Farsight RTP Conference Gstreamer Elements |

## Synopsis

    struct              FsRtpConference;

## Properties

      "sdes-cname"               gchar*                : Read / Write
      "sdes-email"               gchar*                : Read / Write
      "sdes-location"            gchar*                : Read / Write
      "sdes-name"                gchar*                : Read / Write
      "sdes-note"                gchar*                : Read / Write
      "sdes-phone"               gchar*                : Read / Write
      "sdes-tool"                gchar*                : Read / Write
      "sdes"                     GstStructure*         : Read / Write

## Description

This is the core gstreamer element for a RTP conference. It must be added to your pipeline before anything else is done. Then you create the session, participants and streams according to the FsConference interface.

The various sdes-* properties allow you to set the content of the SDES packet in the sent RTCP reports.

## Synopsis

### Element Information

plugin | fsrtpconference
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Generic/Bin/RTP

### Element Pads

name | sink_%d
direction | sink
presence | sometimes
details | ANY

name | src_%d_%d_%d
direction | source
presence | sometimes
details | ANY

## Details

### struct FsRtpConference

    struct FsRtpConference {
      FsBaseConference parent;
    };

## Property Details

### The `"sdes-cname"` property

      "sdes-cname"               gchar*                : Read / Write

The CNAME for the RTP sessions.

Default value: NULL

### The `"sdes-email"` property

      "sdes-email"               gchar*                : Read / Write

The EMAIL to put in SDES messages of this session.

Default value: NULL

### The `"sdes-location"` property

      "sdes-location"            gchar*                : Read / Write

The LOCATION to put in SDES messages of this session.

Default value: NULL

### The `"sdes-name"` property

      "sdes-name"                gchar*                : Read / Write

The NAME to put in SDES messages of this session.

Default value: NULL

### The `"sdes-note"` property

      "sdes-note"                gchar*                : Read / Write

The NOTE to put in SDES messages of this session.

Default value: NULL

### The `"sdes-phone"` property

      "sdes-phone"               gchar*                : Read / Write

The PHONE to put in SDES messages of this session.

Default value: NULL

### The `"sdes-tool"` property

      "sdes-tool"                gchar*                : Read / Write

The TOOL to put in SDES messages of this session.

Default value: NULL

### The `"sdes"` property

      "sdes"                     GstStructure*         : Read / Write

SDES items to use for sessions in this conference.